Old 11-09-2018, 08:13 AM   #161
JamesPeters
Human being with feelings
 
JamesPeters's Avatar
 
Join Date: Aug 2011
Location: Near a big lake
Posts: 1,934
Default

Excellent!

MX Linux installs by default without a compositor enabled. Things seemed okay but I would have the odd freeze which lasted for maybe a second, and some video players showed a bit of screen tear. So then I just had to learn what a compositor was. Plus also why most were recommending Compton over xfwm. I was initially using xfwm. It seemed fine but there was still a screen tear issue with some videos. Also I chose to use the Intel graphics driver for my Intel onboard GPU, which finally resolved all my issues.
__________________
http://petersamplification.com
Core i3-6300 - MSI B150M Mortar w/ Intel HD530 - 8 GB RAM - Asus Xonar DX - MX Linux (MX-17.1_x64) - REAPER for Linux

Last edited by JamesPeters; 11-09-2018 at 01:32 PM.
JamesPeters is offline   Reply With Quote
Old 11-14-2018, 05:28 AM   #162
pdbq
Human being with feelings
 
Join Date: Nov 2018
Posts: 5
Default

I'm using Reaper 5.961

I have 2 midi tracks, one with EZDrummer (via linvst) and the other with Plogue SForzando & Karoryfer Meatbass.

When I hit stop, the drums & playhead stop but sforzando keeps playing right along. If I hit the "Go to Start" button, it stops playing.

It's very specific to sforzando, hasn't happened with any other VSTi. I did a google search for "sforzando keeps playing" & didn't turn up anything that looks like a hit, so I figured I'd post it here.

Thanks!
pdbq is offline   Reply With Quote
Old 11-14-2018, 08:49 AM   #163
lilith93
Human being with feelings
 
lilith93's Avatar
 
Join Date: Apr 2018
Location: Karlsruhe
Posts: 125
Default

I'm using also REAPER 5.961. I bought the Overtone plugins and they work fine with Ardour. Currently I have a REAPER project where Overtone plugins crash REAPER sometimes. This is what I see, when I start REAPER in the terminal:

Code:
./reaper
jack: created client
jack: setting TIME_CRITICAL = 74
jack: activated client
Error opening file /home/marco/.lv2/.harrison_version.txt/manifest.ttl (Not a directory)
lilv_world_load_file(): error: Error loading file `file:///home/marco/.lv2/.harrison_version.txt/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///home/marco/.lv2/.harrison_version.txt/manifest.ttl

(reaper:4277): Gdk-WARNING **: gdk_window_set_user_time called on non-toplevel


(reaper:4277): Gdk-WARNING **: gdk_window_set_user_time called on non-toplevel

ACMT-UI: UI dpi 96
ACMT-UI: UI scale 100.0 %
Gdk-Message: reaper: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.

marco@fox:~/opt/REAPER$
Code:
Gdk-Message: reaper: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.
and then it crashes.

--------------------------
Debian Stretch
Desktop XFCE

Last edited by lilith93; 11-14-2018 at 09:09 AM.
lilith93 is online now   Reply With Quote
Old 11-14-2018, 09:06 AM   #164
swindus
Human being with feelings
 
Join Date: Jun 2009
Posts: 82
Default

Do you use the lv2 or the VST version of the overtonedsp plugins? In Reaper only the VST version will work.
swindus is offline   Reply With Quote
Old 11-14-2018, 09:10 AM   #165
lilith93
Human being with feelings
 
lilith93's Avatar
 
Join Date: Apr 2018
Location: Karlsruhe
Posts: 125
Default

Quote:
Originally Posted by swindus View Post
Do you use the lv2 or the VST version of the overtonedsp plugins? In Reaper only the VST version will work.
I use the VST version. I'm not aware that there are also LV2 versions.
lilith93 is online now   Reply With Quote
Old 11-14-2018, 09:14 AM   #166
swindus
Human being with feelings
 
Join Date: Jun 2009
Posts: 82
Default

Yes, you are right, only the 'old' linux DSP version got also lv2 versions. I thought it because in your terminal output is a reference to your lv2 folder. I'm using the overtone plugins on a regular basis and never got any crashes with them.
swindus is offline   Reply With Quote
Old 11-14-2018, 09:37 AM   #167
lilith93
Human being with feelings
 
lilith93's Avatar
 
Join Date: Apr 2018
Location: Karlsruhe
Posts: 125
Default

Just checked my older files and I rarely used them in Reaper until now. The LV2 version from above is from the wrapped Harrison plugins. They also have some issues, so a native LV2 support in Reaper would be great
lilith93 is online now   Reply With Quote
Old 11-14-2018, 10:18 AM   #168
swindus
Human being with feelings
 
Join Date: Jun 2009
Posts: 82
Default

Yes, I would like native LV2 support too.
swindus is offline   Reply With Quote
Old 11-14-2018, 11:37 AM   #169
JamesPeters
Human being with feelings
 
JamesPeters's Avatar
 
Join Date: Aug 2011
Location: Near a big lake
Posts: 1,934
Default

Quote:
Originally Posted by swindus View Post
Yes, I would like native LV2 support too.
There's a feature request thread for that here.
__________________
http://petersamplification.com
Core i3-6300 - MSI B150M Mortar w/ Intel HD530 - 8 GB RAM - Asus Xonar DX - MX Linux (MX-17.1_x64) - REAPER for Linux
JamesPeters is offline   Reply With Quote
Old 11-16-2018, 07:42 AM   #170
lilith93
Human being with feelings
 
lilith93's Avatar
 
Join Date: Apr 2018
Location: Karlsruhe
Posts: 125
Default

Hmm... the last days it was working.

Quote:
Originally Posted by lilith93 View Post
I'm using also REAPER 5.961. I bought the Overtone plugins and they work fine with Ardour. Currently I have a REAPER project where Overtone plugins crash REAPER sometimes. This is what I see, when I start REAPER in the terminal:

Code:
./reaper
jack: created client
jack: setting TIME_CRITICAL = 74
jack: activated client
Error opening file /home/marco/.lv2/.harrison_version.txt/manifest.ttl (Not a directory)
lilv_world_load_file(): error: Error loading file `file:///home/marco/.lv2/.harrison_version.txt/manifest.ttl'
lilv_world_load_bundle(): error: Error reading file:///home/marco/.lv2/.harrison_version.txt/manifest.ttl

(reaper:4277): Gdk-WARNING **: gdk_window_set_user_time called on non-toplevel


(reaper:4277): Gdk-WARNING **: gdk_window_set_user_time called on non-toplevel

ACMT-UI: UI dpi 96
ACMT-UI: UI scale 100.0 %
Gdk-Message: reaper: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.

marco@fox:~/opt/REAPER$
Code:
Gdk-Message: reaper: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.
and then it crashes.

--------------------------
Debian Stretch
Desktop XFCE
lilith93 is online now   Reply With Quote
Old 11-16-2018, 08:35 AM   #171
Justin
Administrator
 
Justin's Avatar
 
Join Date: Jan 2005
Location: NYC
Posts: 11,663
Default

Quote:
Originally Posted by lilith93 View Post
Hmm... the last days it was working.
Can you try previous versions and see if it broke at some point?

You could try bridging them in 5.962rcX (right click in FX browser, choose "run as dedicated process" or something, then reload the projects?)
Justin is offline   Reply With Quote
Old 11-16-2018, 10:42 AM   #172
lilith93
Human being with feelings
 
lilith93's Avatar
 
Join Date: Apr 2018
Location: Karlsruhe
Posts: 125
Default

Quote:
Originally Posted by Justin View Post
Can you try previous versions and see if it broke at some point?

You could try bridging them in 5.962rcX (right click in FX browser, choose "run as dedicated process" or something, then reload the projects?)
Sorry, I mean since yesterday I didn't have any problems again. When it crashed two days ago it crashed several times after loading the FC-70 plugin, but maybe there was something else wrong. Does the error message point to a plugin issue?
lilith93 is online now   Reply With Quote
Old 11-30-2018, 07:46 AM   #173
Nuri
Human being with feelings
 
Join Date: Nov 2018
Posts: 3
Default

Maybe a small bug in the GUI scaling on 4K display:

https://forum.cockos.com/showpost.ph...3&postcount=13

I don't know if it's only Linux related.
Nuri is offline   Reply With Quote
Old 12-03-2018, 04:03 PM   #174
Eliel
Human being with feelings
 
Join Date: Dec 2018
Posts: 1
Default Similar error

I'm facing similar error...

I'm with Debian 9 with Gnome 3.22 and Reaper v5.963, Carla as plugin and DrMr inside Carla. In the MID editor Reaper crashes when I click above G4 in the piano bar with some big DrumKits.


eliel@Sandman:~$ reaper
jack: created client
jack: setting TIME_CRITICAL = 4
jack: activated client
Trying to start carla-plugin using "/usr/lib/vst/carla.vst/resources/carla-plugin"
LRDF Support not available (LADSPA-RDF will be disabled)
Carla 1.9.12 (2.0-RC2) started, status:
Python version: 3.5.3
Qt version: 5.7.1
PyQt version: 5.7
Binary dir: /usr/lib/carla
Resources dir: /usr/share/carla/resources
ALL OK!
Will use UI-Bridge for 'DrMr Sampler', binary: "/usr/lib/vst/carla.vst/carla-bridge-lv2-gtk2"
Found no path in state, not restoring
ALL OK!
found 95 kits
trying to load: /usr/share/hydrogen/data/drumkits/Boss_DR550_cymbaleKit/drumkit.xml
Read kit: Boss_DR550_cymbaleKit
Loading 45 instruments
loaded kit at: /usr/share/hydrogen/data/drumkits/Boss_DR550_cymbaleKit
Got SIGTERM -> Closing now

(reaper:4262): Gdk-WARNING **: gdk_window_set_user_time called on non-toplevel

Falha de segmentação
Eliel is offline   Reply With Quote
Old 12-05-2018, 03:37 PM   #175
4duhwinnn
Human being with feelings
 
Join Date: Mar 2017
Posts: 342
Default

retread from the linux i-lok topic:
feel free to ignore, as the story unfolds
in wine, but the end result might helps us
in the linux version as well, when successful...

Using Arch wine 3.20, I was able to get AIR's Hybrid3,
Vacuum, and Boom installed
and authorized in the, ilok-manager, but during scanning,
newest Reaper-in-wine popped up an error saying the software
needed to authorize them was not available, even though
it was running with the authorizations displayed (so why would reaper
need something more?) Same result after shutting down
the ilok-manager software, and retrying.

Cheers
4duhwinnn is online now   Reply With Quote
Old 12-06-2018, 05:14 AM   #176
Jack Winter
Human being with feelings
 
Jack Winter's Avatar
 
Join Date: Aug 2007
Location: Luxembourg/Spain
Posts: 1,680
Default

FWIW, when the authorization fails, soundtoys put up a dialog box about the plugin not being authorized in reaper for linux with linvst. This dialog box isn't from reaper at all..
__________________
Reaper for Linux Documentation (WIP). Software: Archlinux/KDE, Fabfilter FX, Komplete 8, Nebula, Schwa/Stillwell, T-racks Max/Amplitube/SVX, etc. Gear: i7-2600k/4700HQ/16GB, RME Multiface/Babyface, Behringer X32, Genelec 8040,etc. :)
Jack Winter is online now   Reply With Quote
Old 12-06-2018, 11:14 AM   #177
4duhwinnn
Human being with feelings
 
Join Date: Mar 2017
Posts: 342
Default

My case is slightly different, as the authorizations succeeded.

It could still be the case as you say, that the error reported
(it wasn't actually a dialog) was not from reaper, I think even the
font was not what reaper would use.

I have since added my usual over-rides, and the 3 AIR i-lok plugins
still scan OK, and don't 'inspire' any errors on screen,
but they don't appear in Reaper's vst lists.
Cheers
4duhwinnn is online now   Reply With Quote
Old 12-06-2018, 11:37 AM   #178
Jack Winter
Human being with feelings
 
Jack Winter's Avatar
 
Join Date: Aug 2007
Location: Luxembourg/Spain
Posts: 1,680
Default

They are probably blacklisted. Run the command "touch *.so" on the missing plugins and rescan in reaper.
__________________
Reaper for Linux Documentation (WIP). Software: Archlinux/KDE, Fabfilter FX, Komplete 8, Nebula, Schwa/Stillwell, T-racks Max/Amplitube/SVX, etc. Gear: i7-2600k/4700HQ/16GB, RME Multiface/Babyface, Behringer X32, Genelec 8040,etc. :)
Jack Winter is online now   Reply With Quote
Old 12-06-2018, 05:51 PM   #179
4duhwinnn
Human being with feelings
 
Join Date: Mar 2017
Posts: 342
Default

You're right, after running the touch command,
on Hybrid 3.dll, the error returned on the next scan.
By it's mention that the ilok-related application
isn't running, could it imply that there is some
expected start-up service that runs in win/mac,?
but not wine?

Having the manager itself running doesn't seem
to do the trick, even though the activation is listed.
Cheers

Last edited by 4duhwinnn; 12-06-2018 at 05:59 PM. Reason: mow
4duhwinnn is online now   Reply With Quote
Old Today, 04:43 AM   #180
Equal
Human being with feelings
 
Join Date: Jun 2018
Posts: 29
Default

I don't know if it is the right place to report here but:
A few shortcuts are not working and have been confirmed on other linux builds by other users (https://forum.cockos.com/showthread.php?t=214498)

I cannot bind shift+space to any action (not recognized)
also I cannot bind any additional mouse buttons; in my case button 8 and 9 (they are recognized when running xev).

I am running ubuntu 18.04
Equal is offline   Reply With Quote
Old Today, 09:03 AM   #181
lilith93
Human being with feelings
 
lilith93's Avatar
 
Join Date: Apr 2018
Location: Karlsruhe
Posts: 125
Default

Don't know if it's a linux specific bug, but sometimes I get hanging notes with Zebralette from U-HE (VST3 version) which I can't stop with F3. Only closing and restarting REAPER stops the hanging notes.

---------

Reaper: 5.963
lilith93 is online now   Reply With Quote
Old Today, 03:21 PM   #182
4duhwinnn
Human being with feelings
 
Join Date: Mar 2017
Posts: 342
Default

Hi, for comparison, you might try loading a z-lette preset that hangs
in the full version of Zebra, which will run as an unrestricted
demo for about 13 minutes, before hijacking your midi note input,
requiring the demo to be restarted for further sane testing.
Cheers
4duhwinnn is online now   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -7. The time now is 03:22 PM.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2018, vBulletin Solutions Inc.